Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IObjectQueryRow

public interface IObjectQueryRow

Interface that represents a single row in an object query. Conceptually, an object row is just a set of property-value pairs describing an object.

Method Summary
`java.util.Date` | `getCreated()` Gets the object's created time.
`java.util.Date` | `getDateValue(ObjectProperty prop)` Gets an object property as a date.
`java.lang.String` | `getDescription()` Gets the object's description.
`IExtendedData` | `getExtendedData()` Gets an `IExtendedData` object representing the object's extended object data.
`int` | `getID()` Gets the object's ID.
`int[]` | `getIntArrayValue(ObjectProperty prop)` Gets an object property as an integer array.
`java.lang.Integer` | `getIntegerValue(ObjectProperty prop)` Gets an object property as an integer.
`java.util.Date` | `getLastModified()` Gets the object's last modified time.
`java.lang.String` | `getName()` Gets the object's name.
`ObjectClass` | `getObjectClass()` Gets the object's class.
`int` | `getOwner()` Gets the object owner's user ID.
`int` | `getParentFolderID()` Gets the object's parent folder ID.
`java.lang.String` | `getStringValue(ObjectProperty prop)` Gets an object property as a `String`.
`java.lang.Object` | `getValue(ObjectProperty prop)` Gets an object property value.

Method Detail

### getName

    public java.lang.String getName()

  Gets the object's name. Throws a `PropertyNotRequestedException` if the name property was not requested in the query.

  Returns:
    the object's name
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getDescription

    public java.lang.String getDescription()

  Gets the object's description. Throws a `PropertyNotRequestedException` if the description property was not requested in the query.

  Returns:
    the object's description
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getID

    public int getID()

  Gets the object's ID. Throws a `PropertyNotRequestedException` if the ID property was not requested in the query.

  Returns:
    the object's ID
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getObjectClass

    public ObjectClass getObjectClass()

  Gets the object's class. Throws a `PropertyNotRequestedException` if the class property was not requested in the query.

  Returns:
    the object's class
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getParentFolderID

    public int getParentFolderID()

  Gets the object's parent folder ID. Throws a `PropertyNotRequestedException` if the parent folder ID property was not requested in the query.

  Returns:
    the object's parent folder ID
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getLastModified

    public java.util.Date getLastModified()

  Gets the object's last modified time. Throws a `PropertyNotRequestedException` if the last modified property was not requested in the query.

  Returns:
    the object's last modified time
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getCreated

    public java.util.Date getCreated()

  Gets the object's created time. Throws a `PropertyNotRequestedException` if the created time property was not requested in the query.

  Returns:
    the object's created time
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getOwner

    public int getOwner()

  Gets the object owner's user ID. Throws a `PropertyNotRequestedException` if the user ID property was not requested in the query.

  Returns:
    the object owner's user ID
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getStringValue

    public java.lang.String getStringValue(ObjectProperty prop)

  Gets an object property as a `String`.

  Parameters:
    `prop` - the property for which to get a value
  Returns:
    the object's property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not a `String`
    `PropertyNotRequestedException` - if the property was not requested

### getIntegerValue

    public java.lang.Integer getIntegerValue(ObjectProperty prop)

  Gets an object property as an integer.

  Parameters:
    `prop` - the property for which to get a value
  Returns:
    the object's property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not an integer
    `PropertyNotRequestedException` - if the property was not requested

### getDateValue

    public java.util.Date getDateValue(ObjectProperty prop)

  Gets an object property as a date.

  Parameters:
    `prop` - the property for which to get a value
  Returns:
    the object's property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not a date
    `PropertyNotRequestedException` - if the property was not requested

### getIntArrayValue

    public int[] getIntArrayValue(ObjectProperty prop)

  Gets an object property as an integer array.

  Parameters:
    `prop` - the property for which to get a value
  Returns:
    the object's property value
  Throws:
    `java.lang.ClassCastException` - if the property type is not an integer array
    `PropertyNotRequestedException` - if the property was not requested

### getValue

    public java.lang.Object getValue(ObjectProperty prop)

  Gets an object property value.

  Parameters:
    `prop` - the property for which to get a value
  Returns:
    the object's property value
  Throws:
    `PropertyNotRequestedException` - if the property was not requested

### getExtendedData

    public IExtendedData getExtendedData()
                                  throws java.net.MalformedURLException,
                                         PortalException,
                                         java.rmi.RemoteException

  Gets an `IExtendedData` object representing the object's extended object data. If the manager used to retrieve the `IObjectQueryRow` is not extended from `IObjectManager` (for example IDocumentManager), this method will return null. To query properties on a document, useIDocumentManager.queryDocumentProperties

  Returns:
    an `IExtendedData` object representing the object's extended object data
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.